:root{
  --nesi-grey : #414f5c;
  --nesi-grey--light: #94a5ad;
  --nesi-yellow :#fcce06;
  --nesi-purple: rgb(202, 159, 213);
  --nesi-orange : rgb(244, 121, 37);
  --nesi-blue : #4fbaed;
  --nesi-red:#ef315e;
  --nesi-green: #cce310;

  --reannz-blue : rgb(0,185, 228);
  --reannz-blue--shade-negative1:rgb(0, 127, 156);
  --reannz-blue--dark: rgb(0,28, 54);
  --reannz-blue--dark-shade1: #2c485d;
  --reannz-grey : rgb(195,200, 200);
  --reannz-black : rgb(25,25, 25);
  --reannz-green: rgb(190, 184, 6);
  --reannz-green--dark: rgb(0, 170, 136);
  --reannz-orange: rgb(241, 128, 0);
  --reannz-purple: rgb(132, 121, 183);

  [data-md-color-scheme="default"]{
    --md-primary-fg-color:               var(--reannz-blue--dark);
    --md-accent-fg-color:                var(--reannz-blue);
  }

    /* --md-accent-bg-color:                rgb(210,227,235); */
  [data-md-color-scheme="slate"] {
    --md-primary-fg-color:               var(--reannz-blue--dark);
    --md-accent-fg-color:                var(--reannz-blue--darkish);

    .nt-card-image>img {
      filter: brightness(0) invert(1);
    }
  }
}
/* Logo biggification */
/* COMMENTED OUT FOR REANNZ LOGO */
/* .md-header__button.md-logo img, .md-header__button.md-logo svg {
  height: 4rem;
  margin: -2rem;
} */

/* Version table stuff */
.md-tag.md-tag-ver{
  color: var(--md-code-fg-color);
}
.md-tag.md-tag-ver-shown {
    outline: var(--md-primary-fg-color) 2px solid;
}

.md-tag-ver-warn {
  text-decoration: line-through;
}
.md-typeset__table {
  width: 100%;
}
.md-typeset__table table:not([class]) {
  display: table
}
/* convenience class. Not sure if it is used */
.hidden{
    display: none;
}
/* Get support button */
.md-button-support{
  position: absolute;
  margin: -2rem 0 0 1rem;
  width: 80%;
  text-align: center;
  font-size: 0.7rem;
}
/* Don't duplicate header title */
.md-nav--primary > .md-nav__title {
    display: none;
}
/* fix neotiri card colors */

  /* Make button more buttony */
.md-button--primary {
  box-shadow: grey 2px 2px 2px;
}

/* prerequisite custom admonition */
:root {
  --md-admonition-icon--prerequisite: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M17 9H7V7h10m0 6H7v-2h10m-3 6H7v-2h7M12 3a1 1 0 0 1 1 1 1 1 0 0 1-1 1 1 1 0 0 1-1-1 1 1 0 0 1 1-1m7 0h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V5a2 2 0 0 0-2-2Z"/></svg>')
}

.md-typeset .admonition.prerequisite,
.md-typeset details.prerequisite {
  border-color: var(--reannz-green);
}
.md-typeset .prerequisite > .admonition-title,
.md-typeset .prerequisite > summary {
  background-color: rgba(190, 184, 6, 0.1); /*above color*/
} 
.md-typeset .prerequisite > .admonition-title::before,
.md-typeset .prerequisite > summary::before {
  background-color:  var(--reannz-green);
  -webkit-mask-image: var(--md-admonition-icon--prerequisite);
          mask-image: var(--md-admonition-icon--prerequisite);
}
/* Footer */
#new-footer {
  font-family: Lato;
  font-size: 12px;
  font-weight: 400;
  /* MB logo has black border */
  background-color: var(--reannz-black);
}

/* e.g. inactive link text */ 
.md-typeset a {
   color: var(--reannz-blue--shade-negative1);
}
.md-typeset a:hover {
   color: var(--reannz-blue);
}
/* Make deprecated logo stand out */
span.md-status.md-status--deprecated {
    filter: invert(50%) sepia(100%) saturate(1000%) hue-rotate(330deg) brightness(70%) contrast(1000%);
}

/* Warning symbols for licence server */
.badge-licence-noup{
    padding: 0;
    color: red;
    cursor: default;
}
.badge-licence-lowup{
    padding: 0;
    color: yellow;
    cursor: default;
}


/* Not sure what this is for. Maybe Kahu knows */
/*start Pillar style*/
.pillarwrapper {
  display: flex;
  padding: 20px 20px 0px 20px;
}
 
.pillarwrapper > div {
  flex-grow: 1;
  padding: 20px 20px 0px 20px;
  height:auto;
  overflow:hidden;
  transition: ease-in-out 200ms;
 /*box-shadow: 0.05rem 0.05rem 0.075rem 0.075rem gainsboro; */
  box-shadow: 0px 10px 10px rgba(30, 30, 30, 0.08);
  /*background: linear-gradient(to right bottom, #f7fafc, #fff);*/
  /* background-color: #ffffff; */
  border-collapse: collapse;
  cursor: default; /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */ 
}
 
.pillarwrapper > div:first-of-type { margin-right:10px }
.pillarwrapper > div:nth-of-type(2) { margin-right:10px }
.pillarwrapper > div:nth-of-type(3) {  }
 
.pillarwrapper > h2 { margin-top:0 margin-bottom:0 }
 
.pillarwrapper > div:hover {
  box-shadow: 0px 10px 20px rgba(30, 30, 30, 0.16);
}
 
.pillarcard {
padding-bottom:0px;
width:33vw; 
}   
.pillarcard img {
opacity: 0.8;
transition: ease-in-out 200ms;  
}
.pillarcard:hover img {
opacity: 1.0;
}
